﻿@hierarchies @adoSpecific @bypass-integration
Feature: Single Suite Test Case hierarchy in Azure DevOps

Rule: A Test Suite hierarchy can be created based on a single Test Suite

@tc:1439
Scenario: All Test Cases are saved to a single Test Suite
	The additional nodes are automatically ignored (like 'ignoreAdditionalNodes': false)
	Given there is an Azure DevOps project with an empty Test Suite 'Other Suite'
	And there are feature files with scenarios in the local repository as
		| feature file     | scenarios |
		| Feature1.feature | S1, S2    |
	And the synchronizer is configured as
		| setting                  | value          |
		| hierarchies[0]/type      | single         |
		| hierarchies[0]/node/name | Custom Suite 1 |
	When SpecSync push is executed
	Then the command should finish with success
	And the Test Suites should be created and contain the Test Cases as
		| test suite path | test cases                 |
		| Custom Suite 1  | Scenario: S1, Scenario: S2 |
