﻿@pull @bypass-integration
Feature: Pull - Failure Recovery

@tc:205
@edge
Scenario: Invalid Gherkin is synchronized back
	Given there is a remote server project
	And the synchronizer is configured to enable pull
	And there is an existing synchronized scenario outline
		"""
		Scenario Outline: Sample scenario outline
			When <something> happens with <someone>

		Examples:
			| something | someone |
			| foo       | Joe     |
			| bar       | Jill    |
			| boz       | Jack    | 
		"""
	When the Test Case steps are updated to 
		| keyword | text                                          |
		| When    | [[something]] really happens with [[someone]] |
		| Invalid | this is good for [[someone]]                  |
	And SpecSync pull is executed
	Then the synchronization should finish with warnings
